fperf-f77.sh 1.19 KB
Newer Older
Philip Carns's avatar
Philip Carns committed
1 2 3 4 5
#!/bin/bash

PROG=fperf-f77

# set log file path; remove previous log if present
6
export DARSHAN_LOGFILE=$DARSHAN_TMP/${PROG}.darshan
Philip Carns's avatar
Philip Carns committed
7 8 9
rm -f ${DARSHAN_LOGFILE}

# compile
Philip Carns's avatar
Philip Carns committed
10
$DARSHAN_F77 $DARSHAN_TESTDIR/test-cases/src/fperf.f -o $DARSHAN_TMP/${PROG}
Philip Carns's avatar
Philip Carns committed
11 12 13 14 15 16 17 18 19 20 21 22 23
if [ $? -ne 0 ]; then
    echo "Error: failed to compile ${PROG}" 1>&2
    exit 1
fi

# execute
$DARSHAN_RUNJOB $DARSHAN_TMP/${PROG} -fname $DARSHAN_TMP/${PROG}.tmp.dat
if [ $? -ne 0 ]; then
    echo "Error: failed to execute ${PROG}" 1>&2
    exit 1
fi

# parse log
24
$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
25 26 27 28 29
if [ $? -ne 0 ]; then
    echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
    exit 1
fi

Philip Carns's avatar
Philip Carns committed
30 31
# check results
# in this case we want to confirm that both the MPI and POSIX open counters were triggered
32
POSIX_OPENS=`grep POSIX_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |grep -vE "^#" |cut -f 5`
33
if [ ! "$POSIX_OPENS" -gt 0 ]; then
Philip Carns's avatar
Philip Carns committed
34 35 36
    echo "Error: POSIX open count of $POSIX_OPENS is incorrect" 1>&2
    exit 1
fi
37
MPI_OPENS=`grep COLL_OPENS $DARSHAN_TMP/${PROG}.darshan.txt |grep -vE "^#" |cut -f 5`
38
if [ ! "$MPI_OPENS" -gt 0 ]; then
39 40 41 42
    echo "Error: MPI open count of $MPI_OPENS is incorrect" 1>&2
    exit 1
fi

Philip Carns's avatar
Philip Carns committed
43
exit 0